<?php
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/classes/Usuario.class.php");
	require_once($dir."/classes/Dados.class.php");
	
	class UsuarioDAO {
		
		public function login($usuario){
			$dados = new Dados();
			if ($usuario->getVendedor()->getImei() == null){
				if($usuario->getVendedor()->getSerial() == null){
					$sql = "select u.login, u.senha, u.codvendedor, v.tipo, v.codsupervisor from usuarios u 
						left join vendedores v on u.codvendedor = v.codvendedor where u.login = '".$usuario->getLogin()."'";
				}else{
					$sql = "select u.login, u.senha, v.codvendedor, v.tipo, v.codsupervisor from vendedores v 
						left join usuarios u on v.codvendedor = u.codvendedor where v.codvendedor = ".$usuario->getVendedor()->getCodvendedor().
						" and v.serial = '".$usuario->getVendedor()->getSerial()."'";
				}
			} else {
				$sql = "select u.login, u.senha, v.codvendedor, v.tipo, v.codsupervisor from vendedores v 
						left join usuarios u on v.codvendedor = u.codvendedor where v.codvendedor = ".$usuario->getVendedor()->getCodvendedor().
						" and v.imei = '".$usuario->getVendedor()->getImei()."'";
			}
			$array = $dados->selectSQL($sql);
			$senha = $dados->Cripto('D', $array[0]["SENHA"]);
			if ($senha === $usuario->getSenha() or (($usuario->getVendedor()->getImei() != null) or ($usuario->getVendedor()->getSerial() != null) and $array)){
				$novoUsuario = new Usuario();
				$novoUsuario->setLogin($array[0]["LOGIN"]);
				$novoUsuario->getVendedor()->setCodvendedor($array[0]["CODVENDEDOR"]);
				$novoUsuario->getVendedor()->setTipo($array[0]["TIPO"]);
				$novoUsuario->getVendedor()->setCodsupervisor($array[0]["CODSUPERVISOR"]);
				if($usuario->getVendedor()->getImei() != null){
					$novoUsuario->getVendedor()->setImei($usuario->getVendedor()->getImei());
				}else{
					$novoUsuario->getVendedor()->setSerial($usuario->getVendedor()->getSerial());
				}
				return $novoUsuario;
			} else {
				return false;
			}
		}

	}
	
?>